%define _disable_ld_no_undefined 1

%global __python %{__python3}

Name:		znc
Version:	1.6.3
Release:	%mkrel 4
License:	GPLv2+
Summary:	An IRC bouncer with many advanced features
Group:		Networking/IRC
URL:		http://en.znc.in/wiki/ZNC
Source0:	http://znc.in/releases/%{name}-%{version}.tar.gz
Source1:	znc.service


BuildRequires:		systemd-units
Requires(pre):		shadow-utils
Requires(post):		systemd-units
Requires(preun):	systemd-units
Requires(postun):	systemd-units

BuildRequires:		openssl-devel >= 0.9.8
BuildRequires:		gettext-devel
BuildRequires:		c-ares-devel
BuildRequires:		automake
BuildRequires:		pkgconfig(python3)
BuildRequires:		perl(ExtUtils::Embed)
BuildRequires:		swig
BuildRequires:		pkgconfig(tcl)
BuildRequires:		perl-devel
BuildRequires:		pkgconfig(libsasl2)
BuildRequires:		icu-devel
Obsoletes:		znc-extra <= %{version}-%{release}

%description
ZNC is an IRC bouncer with many advanced features like detaching,
multiple users, per channel playback buffer, SSL, IPv6, transparent
DCC bouncing, Perl and C++ module support to name a few.

%package devel
Summary:	Development files needed to compile ZNC modules
Group:		Development/C
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
All includes and program files you need to compile your own znc
modules.

%package modperl
Summary:	perl module for ZNC
Group:		Development/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	perl
Provides:	perl(ZNC::Module) = %{version}-%{release}

%description modperl
perl module for ZNC.

%package modpython
Summary:	python3 module for ZNC
Group:		Development/Python
Requires:	%{name} = %{version}-%{release}
Requires:	python3

%description modpython
python3 module for ZNC.

%prep
%setup -q

%build
%configure2_5x -enable-ipv6 --enable-python --enable-perl
%make

%pre
getent group znc >/dev/null || groupadd -r znc
getent passwd znc >/dev/null || \
    useradd -r -g znc -d /var/lib/znc -s /sbin/nologin \
    -c "Account for ZNC to run as" znc
mkdir -p /var/lib/znc
chown znc:znc /var/lib/znc
#exit 0

%install
%make_install

mkdir -p %{buildroot}%{_unitdir}
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/znc.service

%post
%_post_service %{name}

%preun
%_preun_service %{name}


%files
%{_libdir}/%{name}/
%exclude %{_libdir}/%{name}/modperl*
%exclude %{_libdir}/%{name}/perleval.pm
%{_bindir}/znc
%{_datadir}/znc/
%{_unitdir}/znc.service
%{_mandir}/man1/znc-buildmod.1.*
%{_mandir}/man1/znc.1.*

%files devel
%{_bindir}/znc-buildmod
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/znc/

%files modperl
%{_libdir}/znc/modperl/
%{_libdir}/znc/modperl.so
%{_libdir}/znc/perleval.pm

%files modpython
%{_libdir}/znc/modpython/
%{_libdir}/znc/modpython.so


%changelog
* Wed Apr 05 2017 neoclust <neoclust> 1.6.3-4.mga6
+ Revision: 1095959
- Rebuild for armv7

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 1.6.3-3.mga6
+ Revision: 1092817
- Rebuild for icu-58.2

* Tue Oct 18 2016 wally <wally> 1.6.3-2.mga6
+ Revision: 1061835
- BR icu

* Thu Mar 10 2016 shlomif <shlomif> 1.6.3-1.mga6
+ Revision: 988715
- New version 1.6.3 (MGA#17938)

* Thu Mar 03 2016 umeabot <umeabot> 1.4-12.mga6
+ Revision: 984783
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 1.4-11.mga6
+ Revision: 963703
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 tv <tv> 1.4-10.mga6
+ Revision: 887732
- rebuild for python 3.5

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4-9.mga6
+ Revision: 887687
- rebuild for python 3.5

* Sat Jun 27 2015 tv <tv> 1.4-8.mga6
+ Revision: 845992
- rebuild with soname-ified perl

* Wed Feb 18 2015 luigiwalser <luigiwalser> 1.4-7.mga5
+ Revision: 815588
- use correct service scriplet macros for mageia

* Wed Oct 15 2014 umeabot <umeabot> 1.4-6.mga5
+ Revision: 744572
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4-5.mga5
+ Revision: 730758
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 690883
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 1.4-3.mga5
+ Revision: 634835
- Rebuild for new python

* Wed May 21 2014 shlomif <shlomif> 1.4-2.mga5
+ Revision: 624755
- New group
- Fix groups (thanks to roelof)
- Remove trailing whitespace
- New version 1.4 - thanks to roelof (my apprentice)

* Thu Apr 24 2014 luigiwalser <luigiwalser> 1.0-5.mga5
+ Revision: 617588
- rediff patch from fedora to fix potential crash bug when adding channels

* Sat Oct 19 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 532356
- Mageia 4 Mass Rebuild

* Mon Aug 19 2013 luigiwalser <luigiwalser> 1.0-3.mga4
+ Revision: 467981
- add upstream patch to fix CVE-2013-2130

* Mon Jan 14 2013 umeabot <umeabot> 1.0-2.mga3
+ Revision: 387770
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 28 2012 shikamaru <shikamaru> 1.0-1.mga3
+ Revision: 322715
- new version 1.0, fix file list

* Thu Jun 07 2012 solbu <solbu> 0.206-1.mga3
+ Revision: 256653
- Fix description and summary - bounce -> bouncer
- New version
- Spec cleanup

* Wed Apr 13 2011 shikamaru <shikamaru> 0.098-1.mga1
+ Revision: 84739
- new version 0.098 - fix file list

* Thu Jan 27 2011 erwan <erwan> 0.096-1.mga1
+ Revision: 42206
- imported package znc


* Sun Nov 28 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.096-1mdv2011.0
+ Revision: 602297
- update to 0.096

* Sat Sep 11 2010 Rémy Clouard <shikamaru@mandriva.org> 0.094-1mdv2011.0
+ Revision: 577602
- bump release

* Wed Aug 04 2010 Rémy Clouard <shikamaru@mandriva.org> 0.092-1mdv2011.0
+ Revision: 565978
- import znc


